﻿// migration from java to .NET by SimpleDB# group, 
// http://cs.tju.edu.cn/faculty/zhangkl/projects/simpledbsharp/index.htm

using System;

namespace simpledb.query
{
    /// <summary>
    /// The interface that denotes values stored in the database.
    /// </summary>
    /// <author>Edward Sciore</author>
    public interface Constant : IComparable<Constant>
    {
        /// <summary>
        /// Returns the object corresponding to this constant.
        /// </summary>
        /// <returns>the value of the constant</returns> 
        object asCsharpVal();
    }
}
